<template>
  <div class="text-font">
    <v-container>
      <v-row align="center" justify="center">
        <v-col cols="12" sm="10">
          <v-card class="elevation-6 mt-10">
            <v-window v-model="step">
              <v-window-item :value="1">
                <v-row>
                  <v-col cols="12" md="6">
                    <v-card-text class="mt-12">
                      <h4 class="text-center">เข้าสู่ระบบบัญชีของคุณ</h4>
                      <v-row align="center" justify="center">
                        <v-col cols="12" sm="8">
                          <v-text-field
                            label="ชื่อผู้ใช้"
                            outlined
                            dense
                            color="blue"
                            autocomplete="false"
                            class="mt-16"
                          />
                          <v-text-field
                            label="รหัสผ่าน"
                            outlined
                            dense
                            color="blue"
                            autocomplete="false"
                            type="password"
                          />
                          <v-row>
                            <v-col cols="12" sm="5"></v-col>
                          </v-row>
                          <v-btn color="blue" dark block tile>เข้าสู่ระบบ</v-btn>
                        </v-col>
                      </v-row>
                    </v-card-text>
                  </v-col>
                  <v-col cols="12" md="6" class="blue rounded-bl-xl">
                    <div style="text-align: center; padding: 180px 0;">
                      <v-card-text class="white--text">
                        <h3 class="text-center">ยังไม่มีบัญชีใช่หรือไม่?</h3>
                      </v-card-text>
                      <div class="text-center">
                        <v-btn tile outlined dark @click="step++">ลงทะเบียน</v-btn>
                      </div>
                    </div>
                  </v-col>
                </v-row>
              </v-window-item>
              <v-window-item :value="2">
                <v-row>
                  <v-col cols="12" md="6" class="blue rounded-br-xl">
                    <div style="text-align: center; padding: 180px 0;">
                      <v-card-text class="white--text">
                        <h3 class="text-center">พร้อมสำหรับการใช้งานแล้วใช่หรือไม่?</h3>
                      </v-card-text>
                      <div class="text-center">
                        <v-btn tile outlined dark @click="step--">เข้าสู่ระบบ</v-btn>
                      </div>
                    </div>
                  </v-col>
                  <v-col cols="12" md="6">
                    <v-card-text class="mt-12">
                      <h4 class="text-center">ลงทะเบียนเข้าใช้งาน</h4>
                      <v-row align="center" justify="center">
                        <v-col cols="12" sm="8">
                          <v-row>
                            <v-col cols="12" sm="6">
                              <v-text-field
                                label="ชื่อ"
                                v-model="registerForm.firstName"
                                outlined
                                dense
                                color="blue"
                                autocomplete="false"
                                class="mt-4"
                              />
                            </v-col>
                            <v-col cols="12" sm="6">
                              <v-text-field
                                label="นามสกุล"
                                v-model="registerForm.lastName"
                                outlined
                                dense
                                color="blue"
                                autocomplete="false"
                                class="mt-4"
                              />
                            </v-col>
                          </v-row>
                          <v-text-field
                            label="อีเมล"
                            v-model="registerForm.email"
                            outlined
                            dense
                            color="blue"
                            autocomplete="false"
                          />
                          <v-text-field
                            label="ชื่อผู้ใช้"
                            v-model="registerForm.username"
                            outlined
                            dense
                            color="blue"
                            autocomplete="false"
                          />
                          <v-text-field
                            label="รหัสผ่าน"
                            v-model="registerForm.password"
                            outlined
                            dense
                            color="blue"
                            autocomplete="false"
                            type="password"
                          />
                          <v-btn color="blue" dark block tile @click="register">ลงทะเบียน</v-btn>
                        </v-col>
                      </v-row>
                    </v-card-text>
                  </v-col>
                </v-row>
              </v-window-item>
            </v-window>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
import Swal from 'sweetalert2';

export default {
  data: () => ({
    step: 1,
    registerForm: {
      firstName: '',
      lastName: '',
      email: '',
      username: '',
      password: '',
      role: 'admin'
    }
  }),
  props: {
    source: String
  },
  methods: {
    async register() {
      try {
        const response = await this.axios.post('http://localhost:3000/shop', this.registerForm);
        console.log(response.data);
        Swal.fire({
          title: "เพิ่มข้อมูลสำเร็จ",
          icon: "success",
          showConfirmButton: false,
          timer: 1000
        });
        // Reset the form or perform other actions
      } catch (error) {
        console.error(error);
        Swal.fire({
          title: "เกิดข้อผิดพลาด",
          text: "ไม่สามารถลงทะเบียนได้",
          icon: "error",
          confirmButtonText: "ตกลง"
        });
      }
    }
  }
}
</script>


<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

.text-font {
    font-family: "Prompt", sans-serif;

}

.v-application .rounded-bl-xl {
    border-bottom-left-radius: 300px !important;
}

.v-application .rounded-br-xl {
    border-bottom-right-radius: 300px !important;
}
</style>
